Page MenuHomePhabricator

Support Discovery Q2 Goal: Increase maps and graphs usage on Wikipedia
Closed, ResolvedPublic

Description

To increase the usage of products developed by the interactive team a roadmap and quarterly timeline are being worked on within the team. Once this roadmap is decided and published it will provide a clearer path forward to support the team with this goal.

That said, the enabling of the <maplink> feature across Wikimedia projects and the presence of <mapframe> on a few Wikipedias has increased the tile usage.

http://discovery.wmflabs.org/maps/

On Wikimedia Commons alone we have seen maplink inclusion in 3.7 million file descriptions, up from 35k before its inclusion.

https://www.mediawiki.org/wiki/Wikimedia_Engineering/2016-17_Q2_Goals#Discovery

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 1 2016, 6:19 PM
MaxSem moved this task from All map-related tasks to Tracking on the Maps board.Sep 23 2016, 7:19 AM
CKoerner_WMF updated the task description. (Show Details)Nov 7 2016, 9:04 PM

An update on this task. We're reaching out to a few Wikipedia communities to ask to enable the <mapframe> feature. We are targeting the Russian, French, German, and possible Finnish communities first. A request to these communities is targeted for 28 November.

Russian has been approached. Discussion here: https://ru.wikipedia.org/wiki/Википедия:Форум/Технический#.D0.92.D0.BA.D0.BB.D1.8E.D1.87.D0.B0.D0.B5.D0.BC_.D0.BA.D0.B0.D1.80.D1.82.D1.8B_.D0.BD.D0.B0_.D1.80.D1.83-.D0.B2.D0.B8.D0.BA.D0.B8

The message for the remaining wikis is a draft (to be translated) here: https://meta.wikimedia.org/wiki/User:CKoerner_(WMF)/Interactive_maps_enable_community

I've marked the message for translation and requested help translating.

https://lists.wikimedia.org/pipermail/translators-l/2016-November/003687.html

I'll check for translations and post (français, Deutsch, suomi) once we are ready.

I've asked @JGirault to post the message to the French Wikipedia. I also asked the translators for help with the remaining translations (German, Finnish). If I don't receive them soon, I'll post what I have translated on the two remaining target projects later this week.

https://lists.wikimedia.org/pipermail/translators-l/2016-December/003730.html

I've asked @JGirault to post the message to the French Wikipedia. I also asked the translators for help with the remaining translations (German, Finnish). If I don't receive them soon, I'll post what I have translated on the two remaining target projects later this week.
https://lists.wikimedia.org/pipermail/translators-l/2016-December/003730.html

Posted on French Le Bistro https://fr.wikipedia.org/wiki/Wikip%C3%A9dia:Le_Bistro/12_d%C3%A9cembre_2016#Cartes_interactives_sur_la_Wikip.C3.A9dia_francophone

CKoerner_WMF closed this task as Resolved.Dec 21 2016, 4:52 PM

Besides the increase in usage on projects like Commons (see task description) we've also seen a significant usage of the tiles starting in early November (http://discovery.wmflabs.org/maps/#tiles_summary)

During this quarter we approached a few select communities to ask to further enable the <mapframe> feature. There are some outstanding questions (particularly from the German community) which I've shared with the team to address. Both the French and Finnish Wikipedia's are in favor and will be the first to receive the <mapframe> feature in the new year.

I consider this resolved for Q2 and will create new tasks as needed for my Q3 support work. After deploying to the communities described here (with the exception of German due to a conflict with FlaggedRevisions) I'll continue to help with outreach to, and feedback from, communities.

See also: T153158 (Q3 planning discussion), T153504 (for more graphs-related progress)

Qgil awarded a token.Dec 21 2016, 10:12 PM

I resolved a day to soon! :)
The team agreed to enable the <mapframe> feature the first week of the new year for the Finnish and French Wikipedias.

I updated the post on the Finnish Wikipedia with the plan for 3 January. There's a slower turn-over there so no need for an entirely new section.

https://fi.wikipedia.org/wiki/Wikipedia:Kahvihuone_(tekniikka)#Interaktiiviset_kartat_Wikipediassa

I've asked Mr. @JGirault to kindly post a similar update to the French community.

debt reopened this task as Open.Jan 4 2017, 6:45 PM
CKoerner_WMF changed the status of subtask T149462: Announce graph frames to the community from Open to Stalled.Jan 4 2017, 7:35 PM
Deskana added a subscriber: Deskana.

Realistically, a lot of this work is going to spill over into Q3. Do we want to alter this task to reflect that, or keep its original scope (support for Q2) and close as resolved?

CKoerner_WMF closed this task as Resolved.Jan 20 2017, 11:08 PM

I'm going to close. This task was specifically how I supported the Q2 goal in my liaison capacity. Once we figure out what the Q3 goals are for maps and graphs usage we can create a new task for how I would help that goal.

Qgil added a subscriber: Qgil.

OK, thank you! In general, we can move away from "Support Q... goal", since we are not forcing goals into quarters anymore.

CKoerner_WMF changed the status of subtask T149462: Announce graph frames to the community from Stalled to Open.Jun 6 2017, 9:17 PM